using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;
using System.IO;
using System.Windows.Forms;

namespace ImageCompare.Common
{
    public static class Global
    {



        public class FileName
        {
            public static string ConfigFileName
            {
                get { return Global.FileName.CreateFileName("config.db"); }
            }

            public static string DefaultDataFileName
            {
                get { return Global.FileName.CreateFileName("data.db"); }
            }

            public static string CurrentSearchPath
            {
                get { return Global.FileName.CreateFileName("currentSearchPath.txt"); }
            }

            public static string CreateFileName(string filename)
            {
                return Path.Combine(Global.FolderName.DataFolder, filename);
            }
        }

        public class FolderName
        {
            /// <summary>
            /// f[^t@C̃pXłB
            /// </summary>
            public static string DataFolder
            {
                get
                {
                    string path = Path.Combine(Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData), "himitsukichi.jp"), "ImageCompare");
                    if (!Directory.Exists(path))@//tH_ȂĂ
                    {
                        Directory.CreateDirectory(path);
                    }
                    return path;
                }
            }
        }
    }
}
